
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef worldModelGrid3DG_TCLSERV_CLIENT_MSG_LIB_H
#define worldModelGrid3DG_TCLSERV_CLIENT_MSG_LIB_H

#include <server/worldModelGrid3DGType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int worldModelGrid3DGTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int worldModelGrid3DGTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int worldModelGrid3DGTclservClientInitializeRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 int *(in_updateNumber) 
		);

int worldModelGrid3DGTclservClientInitializeReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientInitializeRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				int *(in_updateNumber) ,
				
				int *bilan);

int worldModelGrid3DGTclservClientInitializeRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					int *(in_updateNumber) ,
					
					int *bilan);




int worldModelGrid3DGTclservClientSetResolutionRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 double *(in_resolution) 
		);

int worldModelGrid3DGTclservClientSetResolutionReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientSetResolutionRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				double *(in_resolution) ,
				
				int *bilan);

int worldModelGrid3DGTclservClientSetResolutionRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					double *(in_resolution) ,
					
					int *bilan);




int worldModelGrid3DGTclservClientSetSensitivityRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 unsigned int *(in_sensitivity) 
		);

int worldModelGrid3DGTclservClientSetSensitivityReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientSetSensitivityRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				unsigned int *(in_sensitivity) ,
				
				int *bilan);

int worldModelGrid3DGTclservClientSetSensitivityRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					unsigned int *(in_sensitivity) ,
					
					int *bilan);




int worldModelGrid3DGTclservClientSetCameraParametersRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 vec3 *(in_cameraParameters) 
		);

int worldModelGrid3DGTclservClientSetCameraParametersReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientSetCameraParametersRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				vec3 *(in_cameraParameters) ,
				
				int *bilan);

int worldModelGrid3DGTclservClientSetCameraParametersRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					vec3 *(in_cameraParameters) ,
					
					int *bilan);




int worldModelGrid3DGTclservClientAllocateMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 boxArea *(in_mapArea) 
		);

int worldModelGrid3DGTclservClientAllocateMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientAllocateMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				boxArea *(in_mapArea) ,
				
				int *bilan);

int worldModelGrid3DGTclservClientAllocateMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					boxArea *(in_mapArea) ,
					
					int *bilan);




int worldModelGrid3DGTclservClientSetFreeBoxRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 boxArea *(in_freeBox) 
		);

int worldModelGrid3DGTclservClientSetFreeBoxReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientSetFreeBoxRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				boxArea *(in_freeBox) ,
				
				int *bilan);

int worldModelGrid3DGTclservClientSetFreeBoxRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					boxArea *(in_freeBox) ,
					
					int *bilan);




int worldModelGrid3DGTclservClientMakeBoxFreeRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 boxArea *(in_box) 
		);

int worldModelGrid3DGTclservClientMakeBoxFreeReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientMakeBoxFreeRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				boxArea *(in_box) ,
				
				int *bilan);

int worldModelGrid3DGTclservClientMakeBoxFreeRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					boxArea *(in_box) ,
					
					int *bilan);




int worldModelGrid3DGTclservClientMakeBoxSolidRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 boxArea *(in_box) 
		);

int worldModelGrid3DGTclservClientMakeBoxSolidReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientMakeBoxSolidRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				boxArea *(in_box) ,
				
				int *bilan);

int worldModelGrid3DGTclservClientMakeBoxSolidRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					boxArea *(in_box) ,
					
					int *bilan);




int worldModelGrid3DGTclservClientUpdate3DMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 imageRange *(in_imageID) 
		);

int worldModelGrid3DGTclservClientUpdate3DMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientUpdate3DMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				imageRange *(in_imageID) ,
				
				int *bilan);

int worldModelGrid3DGTclservClientUpdate3DMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					imageRange *(in_imageID) ,
					
					int *bilan);




int worldModelGrid3DGTclservClientExportMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 fileNameAddress *(in_exportDirectory) 
		);

int worldModelGrid3DGTclservClientExportMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientExportMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				fileNameAddress *(in_exportDirectory) ,
				
				int *bilan);

int worldModelGrid3DGTclservClientExportMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					fileNameAddress *(in_exportDirectory) ,
					
					int *bilan);




int worldModelGrid3DGTclservClientExportVRMLRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 exportSetting *(in_setting) 
		);

int worldModelGrid3DGTclservClientExportVRMLReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientExportVRMLRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				exportSetting *(in_setting) ,
				
				int *bilan);

int worldModelGrid3DGTclservClientExportVRMLRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					exportSetting *(in_setting) ,
					
					int *bilan);




int worldModelGrid3DGTclservClientClearMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int worldModelGrid3DGTclservClientClearMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientClearMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int worldModelGrid3DGTclservClientClearMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int worldModelGrid3DGTclservClientSetRobotBoxPosRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 pos *(in_robotPos) 
		);

int worldModelGrid3DGTclservClientSetRobotBoxPosReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientSetRobotBoxPosRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				pos *(in_robotPos) ,
				
				int *bilan);

int worldModelGrid3DGTclservClientSetRobotBoxPosRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					pos *(in_robotPos) ,
					
					int *bilan);




int worldModelGrid3DGTclservClientSetRobotBoxFreeRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int worldModelGrid3DGTclservClientSetRobotBoxFreeReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientSetRobotBoxFreeRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int worldModelGrid3DGTclservClientSetRobotBoxFreeRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int worldModelGrid3DGTclservClientRefreshMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int worldModelGrid3DGTclservClientRefreshMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientRefreshMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int worldModelGrid3DGTclservClientRefreshMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int worldModelGrid3DGTclservClientImportMapRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 fileNameAddress *(in_importFile) 
		);

int worldModelGrid3DGTclservClientImportMapReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int worldModelGrid3DGTclservClientImportMapRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				fileNameAddress *(in_importFile) ,
				
				int *bilan);

int worldModelGrid3DGTclservClientImportMapRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					fileNameAddress *(in_importFile) ,
					
					int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* worldModelGrid3DGTCLSERV_CLIENT_MSG_LIB_H */

