
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * Sara Fleury
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef WORLDMODELGRID3DG_PRINTXML_H
#define WORLDMODELGRID3DG_PRINTXML_H

#include "genom/printScan.h"
#include "genom/printXMLProto.h"

/* Structures definies par d'autres modules */

#include "server/pomPrintXML.h"


#include "worldModelGrid3DGPosterLib.h"

/* Prototypes */
extern void printXML_struct_WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR ( FILE *out, char *name,
     struct WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_worldModelGrid3DG_STR ( FILE *out, char *name,
     struct worldModelGrid3DG_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_WORLD_MODEL_GRID3D_POSTER_NAME ( FILE *out, char *name,
     struct WORLD_MODEL_GRID3D_POSTER_NAME *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_exportSetting ( FILE *out, char *name,
     struct exportSetting *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_fileNameAddress ( FILE *out, char *name,
     struct fileNameAddress *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_map3D ( FILE *out, char *name,
     struct map3D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_vec3 ( FILE *out, char *name,
     struct vec3 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_imageRange ( FILE *out, char *name,
     struct imageRange *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_pos ( FILE *out, char *name,
     struct pos *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_struct_boxArea ( FILE *out, char *name,
     struct boxArea *x,
     int indent, int nDim, int *dims, FILE *in );

/* ======================== PRINT DES TYPEDEF ============================= */

extern void printXML_boxArea ( FILE *out, char *name,
     boxArea *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_pos ( FILE *out, char *name,
     pos *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_imageRange ( FILE *out, char *name,
     imageRange *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_vec3 ( FILE *out, char *name,
     vec3 *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_map3D ( FILE *out, char *name,
     map3D *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_fileNameAddress ( FILE *out, char *name,
     fileNameAddress *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_exportSetting ( FILE *out, char *name,
     exportSetting *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_WORLD_MODEL_GRID3D_POSTER_NAME ( FILE *out, char *name,
     WORLD_MODEL_GRID3D_POSTER_NAME *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_worldModelGrid3DG_STR ( FILE *out, char *name,
     worldModelGrid3DG_STR *x,
     int indent, int nDim, int *dims, FILE *in );
extern void printXML_WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR ( FILE *out, char *name,
     WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR *x,
     int indent, int nDim, int *dims, FILE *in );

#endif /* WORLDMODELGRID3DG_PRINT_XML_H */

