
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef WORLDMODELGRID3DG_SCAN_H
#define WORLDMODELGRID3DG_SCAN_H

#include "genom/printScan.h"

/* Structures definies par d'autres modules */

#include "server/pomScan.h"


/* Structures du module */
#include "worldModelGrid3DGPosterLib.h"

/* Prototypes */
#ifdef __cplusplus
extern "C" {
#endif
extern int scan_struct_WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR ( FILE *in, FILE *out,
       struct WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_worldModelGrid3DG_STR ( FILE *in, FILE *out,
       struct worldModelGrid3DG_STR *x, int indent, int nDim, int *dims );
extern int scan_struct_WORLD_MODEL_GRID3D_POSTER_NAME ( FILE *in, FILE *out,
       struct WORLD_MODEL_GRID3D_POSTER_NAME *x, int indent, int nDim, int *dims );
extern int scan_struct_exportSetting ( FILE *in, FILE *out,
       struct exportSetting *x, int indent, int nDim, int *dims );
extern int scan_struct_fileNameAddress ( FILE *in, FILE *out,
       struct fileNameAddress *x, int indent, int nDim, int *dims );
extern int scan_struct_map3D ( FILE *in, FILE *out,
       struct map3D *x, int indent, int nDim, int *dims );
extern int scan_struct_vec3 ( FILE *in, FILE *out,
       struct vec3 *x, int indent, int nDim, int *dims );
extern int scan_struct_imageRange ( FILE *in, FILE *out,
       struct imageRange *x, int indent, int nDim, int *dims );
extern int scan_struct_pos ( FILE *in, FILE *out,
       struct pos *x, int indent, int nDim, int *dims );
extern int scan_struct_boxArea ( FILE *in, FILE *out,
       struct boxArea *x, int indent, int nDim, int *dims );

/* ======================== SCAN DES TYPEDEF ============================= */

extern int scan_boxArea ( FILE *in, FILE *out,
       boxArea *x, int indent, int nDim, int *dims );
extern int scan_pos ( FILE *in, FILE *out,
       pos *x, int indent, int nDim, int *dims );
extern int scan_imageRange ( FILE *in, FILE *out,
       imageRange *x, int indent, int nDim, int *dims );
extern int scan_vec3 ( FILE *in, FILE *out,
       vec3 *x, int indent, int nDim, int *dims );
extern int scan_map3D ( FILE *in, FILE *out,
       map3D *x, int indent, int nDim, int *dims );
extern int scan_fileNameAddress ( FILE *in, FILE *out,
       fileNameAddress *x, int indent, int nDim, int *dims );
extern int scan_exportSetting ( FILE *in, FILE *out,
       exportSetting *x, int indent, int nDim, int *dims );
extern int scan_WORLD_MODEL_GRID3D_POSTER_NAME ( FILE *in, FILE *out,
       WORLD_MODEL_GRID3D_POSTER_NAME *x, int indent, int nDim, int *dims );
extern int scan_worldModelGrid3DG_STR ( FILE *in, FILE *out,
       worldModelGrid3DG_STR *x, int indent, int nDim, int *dims );
extern int scan_WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR ( FILE *in, FILE *out,
       WORLDMODELGRID3DG_GRIDTHREEDMAP_POSTER_STR *x, int indent, int nDim, int *dims );
#ifdef __cplusplus
}
#endif

#endif /* WORLDMODELGRID3DG_SCAN_H */

